## ros-one-ur-robot-driver 2.4.1-5jammy.20251029.2109

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ur_robot_driver)

add_definitions( -DROS_BUILD )

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  message("${PROJECT_NAME}: You did not request a specific build type: selecting 'RelWithDebInfo'.")
  set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif()

# Default to off as this only works in environments where a new docker container can be started with the appropriate networking, which
# might not be possible e.g. inside the buildfarm
option(
  UR_ROBOT_DRIVER_BUILD_INTEGRATION_TESTS
  "Build integration tests using the start_ursim script"
  OFF
)

find_package(catkin REQUIRED
  COMPONENTS
    actionlib
    control_msgs
    controller_manager
    controller_manager_msgs
    geometry_msgs
    hardware_interface
    industrial_robot_status_interface
    pluginlib
    roscpp
    scaled_joint_trajectory_controller
    sensor_msgs
    speed_scaling_interface
    speed_scaling_state_controller
    std_srvs
    tf
    tf2_geometry_msgs
    tf2_msgs
    trajectory_msgs
    ur_dashboard_msgs
    ur_msgs
    pass_through_controllers
    kdl_parser
)
find_package(Boost REQUIRED)
find_package(ur_client_library REQUIRED)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ur_robot_driver_plugin
    urcl_log_handler
  CATKIN_DEPENDS
    actionlib
    control_msgs
    controller_manager
    controller_manager_msgs
    geometry_msgs
    hardware_interface
    kdl_parser
    pass_through_controllers
    pluginlib
    roscpp
    scaled_joint_trajectory_controller
    sensor_msgs
    speed_scaling_interface
    speed_scaling_state_controller
    std_srvs
    tf
    tf2_geometry_msgs
    tf2_msgs
    trajectory_msgs
    ur_dashboard_msgs
    ur_msgs
  DEPENDS
    Boost
    ur_client_library
)

add_compile_options(-Wall)
add_compile_options(-Wextra)
add_compile_options(-Wno-unused-parameter)


include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

add_library(ur_robot_driver_plugin
  src/dashboard_client_ros.cpp
  src/hardware_interface.cpp
)
target_link_libraries(ur_robot_driver_plugin ur_client_library::urcl ${catkin_LIBRARIES})
add_dependencies(ur_robot_driver_plugin ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_library(urcl_log_handler
  src/urcl_log_handler.cpp
)
target_link_libraries(urcl_log_handler ${catkin_LIBRARIES} ur_client_library::urcl)

add_executable(ur_robot_driver_node
  src/dashboard_client_ros.cpp
  src/hardware_interface.cpp
  src/hardware_interface_node.cpp
)
target_link_libraries(ur_robot_driver_node ${catkin_LIBRARIES} ur_client_library::urcl urcl_log_handler)
add_dependencies(ur_robot_driver_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(dashboard_client
  src/dashboard_client_ros.cpp
  src/dashboard_client_node.cpp
)
target_link_libraries(dashboard_client ${catkin_LIBRARIES} ur_client_library::urcl urcl_log_handler)
add_dependencies(dashboard_client ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(robot_state_helper
  src/robot_state_helper.cpp
  src/robot_state_helper_node.cpp
)
target_link_libraries(robot_state_helper ${catkin_LIBRARIES} ur_client_library::urcl)
add_dependencies(robot_state_helper ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})


add_executable(controller_stopper_node
  src/controller_stopper.cpp
  src/controller_stopper_node.cpp
)
add_dependencies(controller_stopper_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(controller_stopper_node
  ${catkin_LIBRARIES}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  if(${UR_ROBOT_DRIVER_BUILD_INTEGRATION_TESTS})
    add_rostest(test/driver.test)
  endif()
endif()


install(TARGETS ur_robot_driver_plugin urcl_log_handler ur_robot_driver_node robot_state_helper dashboard_client controller_stopper_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/tool_communication scripts/test_move
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY config launch resources
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})


install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(FILES hardware_interface_plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-ur-robot-driver (2.4.1-5jammy.20251029.2109) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Wed, 29 Oct 2025 21:09:55 +0000

ros-one-ur-robot-driver (2.4.1-0jammy) jammy; urgency=high

  * Fix minimum required polyscope version in the output (#751 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/751>)
    When we raised the version requirements to 3.14/5.9 we didn't update the
    output in the ROS driver.
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Tue, 20 May 2025 00:00:00 -0000

ros-one-ur-robot-driver (2.4.0-0jammy) jammy; urgency=high

  * Add support for UR15 (#747 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/747>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Tue, 13 May 2025 00:00:00 -0000

ros-one-ur-robot-driver (2.3.0-0jammy) jammy; urgency=high

  * Add ROS param (robot_receive_timeout) to control reverse interface timeouts (#745 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/745>)
  * Add launchfiles for ur7e and ur12e (#743 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/743>)
  * Add support for ur7e and ur12e (#742 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/742>)
  * Contributors: Felix Exner, cambel

 -- Felix Exner <feex@universal-robots.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-one-ur-robot-driver (2.2.0-0jammy) jammy; urgency=high

  * Allow setting the speed slider fraction to 0.0 from service (#738 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/738>)
  * Update package maintainers (#735 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/735>)
  * Parse the rx and tx idle chars as floats (#729 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/729>)
  * Add a set_analog_output service (#714 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/714>)
  * set receive timeout after connecting the client (#596 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/596>)
  * Implemented get version service (#695 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/695>)
  * Specify velocities for trajectory forwarding test (#721 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/721>)
  * Updated the UR family photo on the readme (#713 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/713>)
  * Contributors: Felix Exner, Rune Søe-Knudsen, URJala, steffen-roperobotics

 -- Felix Exner <feex@universal-robots.com>  Mon, 24 Feb 2025 00:00:00 -0000

ros-one-ur-robot-driver (2.1.5-0jammy) jammy; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-one-ur-robot-driver (2.1.4-0jammy) jammy; urgency=high

  * Added support for UR30 (#688 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/688>)
  * Added arg to enable/disable launch of ursim (#679 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/pull/679>)
  * Contributors: Vincenzo Di Pentima, mahp

 -- Felix Exner <feex@universal-robots.com>  Mon, 08 Apr 2024 00:00:00 -0000

ros-one-ur-robot-driver (2.1.3-0jammy) jammy; urgency=high

  * Added support for UR20 (#659 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/659>)
  * Update documentation (#655 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/655>)
  * Bump required cmake version to fix the CMake warning about CMP0048
  * Change initializer list ordering to match declaration in header file
  * Implemented spline interpolation in joint space (#543 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/543>)
  * Use dedicated build for noetic main (#640 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/640>)
  * fix typo and use ros logging
  * Contributors: Felix Exner, Felix Exner (fexner), Mads Holm Peters, RobertWilbrandt, Simon Schmeisser

 -- Felix Exner <feex@universal-robots.com>  Mon, 18 Dec 2023 00:00:00 -0000

ros-one-ur-robot-driver (2.1.2-0jammy) jammy; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 23 Jan 2023 00:00:00 -0000

ros-one-ur-robot-driver (2.1.1-0jammy) jammy; urgency=high

  * Move controller_stopper to ur_robot_driver
    Since a standalone package with that name was declined during the release
    process, we decided to move the controller_stopper package over to the driver.
  * Update minimal required polyscope version in docs
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Mon, 23 Jan 2023 00:00:00 -0000

ros-one-ur-robot-driver (2.1.0-0jammy) jammy; urgency=high

  * delete ros_control.urscript (#593 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/593>)
    We've been using the script from the library for a while now
  * Use the RobotMode message inside the SetMode action (#381 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/381>)
    This way we can make use of the predefined constants inside the RobotMode message.
  * Make several members of hw_interface atomic, for thread safety (#448 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/448>)
    Co-authored-by: Felix Exner (fexner) <mailto:exner@fzi.de>
  * Updated transformForceTorque to handle wheter it is a cb3 or an e-Series robot (#566 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/566>)
    The force torque is returned at the tool flange on e-series robots and at the tcp for CB3, this is now handled correctly, so that all force/torque measurements will be relative to the active TCP
  * Updated set payload, zero ftsensor and set tool voltage to use the ur… (#567 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/567>)


=== debian/control ===
Source: ros-one-ur-robot-driver
Section: misc
Priority: optional
Maintainer: Felix Exner <feex@universal-robots.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-one-actionlib, ros-one-catkin, ros-one-control-msgs, ros-one-controller-manager, ros-one-controller-manager-msgs, ros-one-geometry-msgs, ros-one-hardware-interface, ros-one-industrial-robot-status-interface, ros-one-kdl-parser, ros-one-pass-through-controllers, ros-one-pluginlib, ros-one-roscpp, ros-one-scaled-joint-trajectory-controller, ros-one-sensor-msgs, ros-one-speed-scaling-interface, ros-one-speed-scaling-state-controller, ros-one-std-srvs, ros-one-tf, ros-one-tf2-geometry-msgs, ros-one-tf2-msgs, ros-one-trajectory-msgs, ros-one-ur-client-library, ros-one-ur-dashboard-msgs, ros-one-ur-msgs
Homepage: http://wiki.ros.org/ur_robot_driver
Standards-Version: 3.9.2

Package: ros-one-ur-robot-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-cartesian-trajectory-controller, ros-one-control-msgs, ros-one-controller-manager, ros-one-controller-manager-msgs, ros-one-force-torque-sensor-controller, ros-one-geometry-msgs, ros-one-hardware-interface, ros-one-industrial-robot-status-controller, ros-one-joint-state-controller, ros-one-joint-trajectory-controller, ros-one-kdl-parser, ros-one-pass-through-controllers, ros-one-pluginlib, ros-one-robot-state-publisher, ros-one-roscpp, ros-one-scaled-joint-trajectory-controller, ros-one-sensor-msgs, ros-one-speed-scaling-interface, ros-one-speed-scaling-state-controller, ros-one-std-srvs, ros-one-tf, ros-one-tf2-geometry-msgs, ros-one-tf2-msgs, ros-one-trajectory-msgs, ros-one-twist-controller, ros-one-ur-client-library, ros-one-ur-dashboard-msgs, ros-one-ur-description, ros-one-ur-msgs, ros-one-velocity-controllers, socat
Description: The new driver for Universal Robots UR3, UR5 and UR10 robots with CB3 controllers and the e-series.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ur-robot-driver//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ur-robot-driver 2.4.1-5noble.20251029.2114

=== debian/changelog ===
ros-one-ur-robot-driver (2.4.1-5noble.20251029.2114) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Wed, 29 Oct 2025 21:14:50 +0000

ros-one-ur-robot-driver (2.4.1-0noble) noble; urgency=high

  * Fix minimum required polyscope version in the output (#751 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/751>)
    When we raised the version requirements to 3.14/5.9 we didn't update the
    output in the ROS driver.
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Tue, 20 May 2025 00:00:00 -0000

ros-one-ur-robot-driver (2.4.0-0noble) noble; urgency=high

  * Add support for UR15 (#747 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/747>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Tue, 13 May 2025 00:00:00 -0000

ros-one-ur-robot-driver (2.3.0-0noble) noble; urgency=high

  * Add ROS param (robot_receive_timeout) to control reverse interface timeouts (#745 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/745>)
  * Add launchfiles for ur7e and ur12e (#743 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/743>)
  * Add support for ur7e and ur12e (#742 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/742>)
  * Contributors: Felix Exner, cambel

 -- Felix Exner <feex@universal-robots.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-one-ur-robot-driver (2.2.0-0noble) noble; urgency=high

  * Allow setting the speed slider fraction to 0.0 from service (#738 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/738>)
  * Update package maintainers (#735 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/735>)
  * Parse the rx and tx idle chars as floats (#729 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/729>)
  * Add a set_analog_output service (#714 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/714>)
  * set receive timeout after connecting the client (#596 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/596>)
  * Implemented get version service (#695 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/695>)
  * Specify velocities for trajectory forwarding test (#721 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/721>)
  * Updated the UR family photo on the readme (#713 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/713>)
  * Contributors: Felix Exner, Rune Søe-Knudsen, URJala, steffen-roperobotics

 -- Felix Exner <feex@universal-robots.com>  Mon, 24 Feb 2025 00:00:00 -0000

ros-one-ur-robot-driver (2.1.5-0noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-one-ur-robot-driver (2.1.4-0noble) noble; urgency=high

  * Added support for UR30 (#688 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/688>)
  * Added arg to enable/disable launch of ursim (#679 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/pull/679>)
  * Contributors: Vincenzo Di Pentima, mahp

 -- Felix Exner <feex@universal-robots.com>  Mon, 08 Apr 2024 00:00:00 -0000

ros-one-ur-robot-driver (2.1.3-0noble) noble; urgency=high

  * Added support for UR20 (#659 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/659>)
  * Update documentation (#655 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/655>)
  * Bump required cmake version to fix the CMake warning about CMP0048
  * Change initializer list ordering to match declaration in header file
  * Implemented spline interpolation in joint space (#543 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/543>)
  * Use dedicated build for noetic main (#640 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/640>)
  * fix typo and use ros logging
  * Contributors: Felix Exner, Felix Exner (fexner), Mads Holm Peters, RobertWilbrandt, Simon Schmeisser

 -- Felix Exner <feex@universal-robots.com>  Mon, 18 Dec 2023 00:00:00 -0000

ros-one-ur-robot-driver (2.1.2-0noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 23 Jan 2023 00:00:00 -0000

ros-one-ur-robot-driver (2.1.1-0noble) noble; urgency=high

  * Move controller_stopper to ur_robot_driver
    Since a standalone package with that name was declined during the release
    process, we decided to move the controller_stopper package over to the driver.
  * Update minimal required polyscope version in docs
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Mon, 23 Jan 2023 00:00:00 -0000

ros-one-ur-robot-driver (2.1.0-0noble) noble; urgency=high

  * delete ros_control.urscript (#593 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/593>)
    We've been using the script from the library for a while now
  * Use the RobotMode message inside the SetMode action (#381 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/381>)
    This way we can make use of the predefined constants inside the RobotMode message.
  * Make several members of hw_interface atomic, for thread safety (#448 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/448>)
    Co-authored-by: Felix Exner (fexner) <mailto:exner@fzi.de>
  * Updated transformForceTorque to handle wheter it is a cb3 or an e-Series robot (#566 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/566>)
    The force torque is returned at the tool flange on e-series robots and at the tcp for CB3, this is now handled correctly, so that all force/torque measurements will be relative to the active TCP
  * Updated set payload, zero ftsensor and set tool voltage to use the ur… (#567 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/567>)


## ros-one-ur-robot-driver 2.4.1-6jammy.20251212.2119

=== debian/changelog ===
ros-one-ur-robot-driver (2.4.1-6jammy.20251212.2119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Fri, 12 Dec 2025 21:19:44 +0000

## ros-one-ur-robot-driver 2.4.1-6jammy.20260119.2126

=== debian/changelog ===
ros-one-ur-robot-driver (2.4.1-6jammy.20260119.2126) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 19 Jan 2026 21:26:27 +0000

## ros-one-ur-robot-driver 2.4.1-6jammy.20260209.2124

=== debian/changelog ===
ros-one-ur-robot-driver (2.4.1-6jammy.20260209.2124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 09 Feb 2026 21:24:07 +0000

## ros-one-ur-robot-driver 2.4.1-6jammy.20260302.2144

=== debian/changelog ===
ros-one-ur-robot-driver (2.4.1-6jammy.20260302.2144) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 02 Mar 2026 21:44:29 +0000

## ros-one-ur-robot-driver 2.4.1-6noble.20251212.2130

=== debian/changelog ===
ros-one-ur-robot-driver (2.4.1-6noble.20251212.2130) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Fri, 12 Dec 2025 21:30:00 +0000

## ros-one-ur-robot-driver 2.4.1-6noble.20260119.2128

=== debian/changelog ===
ros-one-ur-robot-driver (2.4.1-6noble.20260119.2128) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 19 Jan 2026 21:28:35 +0000

## ros-one-ur-robot-driver 2.4.1-6noble.20260209.2128

=== debian/changelog ===
ros-one-ur-robot-driver (2.4.1-6noble.20260209.2128) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 09 Feb 2026 21:28:08 +0000

## ros-one-ur-robot-driver 2.4.1-6noble.20260302.2205

=== debian/changelog ===
ros-one-ur-robot-driver (2.4.1-6noble.20260302.2205) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 02 Mar 2026 22:05:15 +0000
